Package it.ernytech.tdlib

## Class TdApi.PageBlockEmbedded

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.PageBlock
    - - it.ernytech.tdlib.TdApi.PageBlockEmbedded

Enclosing class:
  TdApi

    public static class TdApi.PageBlockEmbedded
    extends TdApi.PageBlock

An embedded web page.

### Field Summary

Fields
`boolean` `allowScrolling` True, if scrolling should be allowed.
`TdApi.RichText` `caption` Block caption.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`int` `height` Block height.
`java.lang.String` `html` HTML-markup of the embedded page.
`boolean` `isFullWidth` True, if the block should be full width.
`TdApi.Photo` `posterPhoto` Poster photo, if available; may be null.
`java.lang.String` `url` Web page URL, if available.
`int` `width` Block width.

### Constructor Summary

Constructors
`PageBlockEmbedded()` Default constructor.
`PageBlockEmbedded​(java.lang.String url, java.lang.String html, TdApi.Photo posterPhoto, int width, int height, TdApi.RichText caption, boolean isFullWidth, boolean allowScrolling)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### url

    public java.lang.String url

Web page URL, if available.

#### html

    public java.lang.String html

HTML-markup of the embedded page.

#### posterPhoto

    public TdApi.Photo posterPhoto

Poster photo, if available; may be null.

#### width

    public int width

Block width.

#### height

    public int height

Block height.

#### caption

    public TdApi.RichText caption

Block caption.

#### isFullWidth

    public boolean isFullWidth

True, if the block should be full width.

#### allowScrolling

    public boolean allowScrolling

True, if scrolling should be allowed.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### PageBlockEmbedded

    public PageBlockEmbedded()

Default constructor.

#### PageBlockEmbedded

    public PageBlockEmbedded​(java.lang.String url,
                             java.lang.String html,
                             TdApi.Photo posterPhoto,
                             int width,
                             int height,
                             TdApi.RichText caption,
                             boolean isFullWidth,
                             boolean allowScrolling)

Constructor for initialization of all fields.

Parameters:
  `url` - Web page URL, if available.
  `html` - HTML-markup of the embedded page.
  `posterPhoto` - Poster photo, if available; may be null.
  `width` - Block width.
  `height` - Block height.
  `caption` - Block caption.
  `isFullWidth` - True, if the block should be full width.
  `allowScrolling` - True, if scrolling should be allowed.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR